// Imports
@use "variables" as var;

// Actual Styling
:host {
  width: 100%;
}

.info-title {
  margin-bottom: 8px;
}

.info-date {
  font-size: 12px;
  line-height: 20px;
  color: var(--text-default-grey);
}

.info-container {
  margin-top: 32px;

  .container-title {
    font-weight: 700;
    font-size: 16px;
    line-height: 24px;
    margin-bottom: 8px;
    color: black;
  }

  .report-status-info {
    p {
      margin: 8px 0 16px;
    }

    .report-status-comment {
      margin-top: 16px;
      padding: 16px 16px 24px 20px;
      border-radius: 4px;
      background: var(
                      --light-decisions-background-background-contrast-grey,
                      #eee
      );
      border-left-width: 4px;
      border-left-style: solid;
      border-color: var(
                      --light-decisions-border-border-default-blue-france,
                      #6a6af4
      );

      .comment-title {
        color: var(--light-decisions-text-text-default-grey, #3a3a3a);
        font-weight: 700;
        margin: 0 0 8px;
      }

      .comment-text {
        font-size: 14px;
        margin-bottom: 16px;
      }

      .comment-info {
        color: var(--light-decisions-text-text-mention-grey, #666);
        font-size: 12px;
        line-height: 20px;
      }
    }
  }

  dsfr-button {
    margin-top: var.$default-margin;
    --dsfr-button-width: max-content;
  }

  .tags-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 8px;
  }

  .description {
    font-size: 16px;
    line-height: 24px;
    color: black;
    white-space: pre-line
  }
}

dsfr-button {
  --dsfr-button-width: 100%;
  margin-bottom: 24px;

  @media (min-width: var.$breakpoint-desktop) {
    --dsfr-button-width: unset;
  }
}

hr {
  margin-top: 32px;
  padding-bottom: var.$default-padding;
}

.report-details-menu {
  margin: 0;
  padding: 0;
  list-style: none;

  li {

    button {
      position: relative;
      padding: 12px 8px;
      display: flex;
      justify-content: space-between;
      width: 100%;
      font-weight: 700;
      font-size: 16px;
      color: var(--text-action-high-grey);

      span[class^="fr-icon-"]:before {
        --icon-size: 16px;
        transform: rotate(-90deg);
      }

      &.active {
        color: var(--background-action-high-blue-france);

        &::before {
          content: '';
          width: 2px;
          height: 24px;
          position: absolute;
          left: 0;
          background-color: var(--background-action-high-blue-france);
        }
      }

      &:hover {
        background: none;
      }
    }
  }
}
